#
# Conditional build:
%bcond_without	tests		# build without tests

%define	gem_name metaclass
Summary:	Adds a metaclass method to all Ruby objects
Name:		ruby-%{gem_name}
Version:	0.0.1
Release:	2
Group:		Development/Languages
# https://github.com/floehopper/metaclass/issues/1
License:	MIT
Source0:	http://rubygems.org/gems/%{gem_name}-%{version}.gem
# Source0-md5:	563290373717a06691561ed1b5786a1b
URL:		http://github.com/floehopper/metaclass
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
BuildRequires:	ruby-minitest
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Adds a metaclass method to all Ruby objects

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -n %{gem_name}-%{version}

# test_helper.rb currently references bundler, so it is easier to avoid
# its usage at all.
sed -i '1,1d' test/object_methods_test.rb

%build
%if %{with tests}
RUBYOPT="-Ilib -rmetaclass" testrb test/object_methods_test.rb
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{ruby_vendorlibdir}/metaclass.rb
%{ruby_vendorlibdir}/metaclass
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-metaclass.git;a=log;h=master

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 2f20ea3
- rebuild for ruby 2.0
- release 2 (by relup.sh)

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> f3ddc2c
- no noarch needed for subpackages

* Sun Apr 14 2013 Elan Ruusamäe <glen@delfi.ee> 3eba26a
- new, version 0.0.1

